Subject: Re: PostgreSQL: Bad system call
From: Markus Hoenicka <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Thu, 9 Dec 2004 16:51:22 +0100

Reini Urban <[email-masked]> was heard to say:

> The cause is that the internal cygserver msg buffer is allocated
> read-only. (IsBadWritePtr() fails)
> Reason unknown. gcc? cygwin?
> Solution pending.
>
> Szteps to reproduce:
> cygserver &
> ipcs
> => Bad system call

Oh great. I'm afraid fixing this is above my head. But at least I'd like to help
track down the culprit. The interesting fact is that I've downgraded all
relevant packages that I can think of (PostgreSQL, cygwin1.dll), rebooted the
box, stopped  cygserver, but still get the error. How can I hose a Cygwin
installation that not even downgrading helps? What is it that I did not
downgrade that causes the problem? Does setup.exe keep a log of what I
precisely up/downgraded?

I do like PostgreSQL on Unix a lot, but I really hate to ever touch setup.exe
because more often than not I'm left with a broken database engine.

regards,
Markus

-- 
Markus Hoenicka
[email-masked]
(Spam-protected email: replace the quadrupeds with "mhoenicka")
http://www.mhoenicka.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/